VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Kapitel 7: Dynamische 3D-Welten"
   ClientHeight    =   4020
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5760
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   ScaleHeight     =   4020
   ScaleWidth      =   5760
   StartUpPosition =   3  'Windows-Standard
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   1716
      Left            =   1320
      ScaleHeight     =   139
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   151
      TabIndex        =   0
      Top             =   744
      Visible         =   0   'False
      Width           =   1860
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'**************************************************************'
'                                                              '
'  OpenGL mit Visual Basic                                     '
'  Kapitel 7: Dynamische 3D-Welten                             '
'                                                              '
'   Copyright 2007 by Hans Henning Klein.                     '
'  Es wird keine Haftung fr Schden, die durch diesen Code    '
'  verursacht wurden, bernommen.                              '
'                                                              '
'  Bei Fehlern oder Fragen wenden Sie sich bitte an:           '
'  fxspooky@handshake.de                                       '
'                                                              '
'**************************************************************'

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
   If KeyCode = vbKeyEscape Then
      PrgRun = False
   End If
   'Kamera.DY ist keine Position sondern der Winkel, um den gedreht werden soll
   'Drehung Links
   If KeyCode = vbKeyLeft Then
      Kamera.DY = Kamera.DY + 1.5
   End If
   'Drehung Rechts
   If KeyCode = vbKeyRight Then
      Kamera.DY = Kamera.DY - 1.5
   End If
   'Welt entgegen der Bewegung der Kamera verschieben
   'PiToRad = Konstante zur Umrechnung Grad - Radiant
   If KeyCode = vbKeyUp Then
      'X-Position im Einheitskreis = Sin(Y)
      Kamera.X = Kamera.X + Sin(Kamera.DY * PiToRad) * 0.04
      'Z-Position im Einheitskreis = Cos(Y)
      Kamera.Z = Kamera.Z + Cos(Kamera.DY * PiToRad) * 0.04
   End If
   If KeyCode = vbKeyDown Then
      Kamera.X = Kamera.X - Sin(Kamera.DY * PiToRad) * 0.04
      Kamera.Z = Kamera.Z - Cos(Kamera.DY * PiToRad) * 0.04
   End If
End Sub


Private Sub Form_Resize()
   ReSizeGLScene ScaleWidth, ScaleHeight
End Sub


